Skip to content

/db-connections/{id}/edits

POST
/db-connections/{id}/edits
curl --request POST \
--url https://example.com/api/v1/db-connections/example/edits \
--header 'Content-Type: application/json' \
--data '{ "edits": [ { "op": "insert", "schema": "example", "table": "example", "pk": { "additionalProperty": "example" }, "values": { "additionalProperty": "example" } } ] }'
id
required
string
Media type application/json
object
edits
required
Array<object>
>= 1 items <= 200 items
object
op
required
Any of:
string
Allowed values: insert
schema
required
string
>= 1 characters
table
required
string
>= 1 characters
pk
object
key
additional properties
values
object
key
additional properties

Default Response

Media type application/json
object
applied
required
integer
results
required
Array<object>
object
rowCount
required
integer
command
required
string
Example generated
{
"applied": 1,
"results": [
{
"rowCount": 1,
"command": "example"
}
]
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}